polybori::CommutativeCacheManager< CacheType > Class Template Reference

`#include <CacheManager.h>`

Inheritance diagram for polybori::CommutativeCacheManager< CacheType >:

## Public Types

typedef CCommutativeCacheManagement< BoolePolyRing, CacheType > | base
| Define base type. More...
typedef base::manager_type | manager_type
Public Types inherited from polybori::CCommutativeCacheManagement< BoolePolyRing, CacheType >
typedef CCacheManagement< manager_type, cache_type, 2 > | base
| Name base type. More...
typedef base::node_type | node_type
| Define node type. More...
typedef base::navigator | navigator
typedef BoolePolyRing | manager_type
typedef CacheType | cache_type
Public Types inherited from polybori::CCacheManagement< BoolePolyRing, CacheType, 2 >
typedef CCacheManBase< manager_type, cache_type, nargs > | base
| Name base type. More...
typedef base::node_type | node_type
| Extracting inherited node type. More...
enum |
typedef BoolePolyRing | manager_type
typedef manager_type::deg_type | deg_type
typedef manager_type::size_type | size_type
typedef manager_type::idx_type | idx_type
typedef CacheType | cache_type

## Public Member Functions

| CommutativeCacheManager (const manager_type &mgr)
| Constructor. More...
| ~CommutativeCacheManager ()
| Destructor. More...
Public Member Functions inherited from polybori::CCommutativeCacheManagement< BoolePolyRing, CacheType >
| CCommutativeCacheManagement (const typename base::manager_type &mgr)
| Constructor and default constructor. More...
node_type | find (node_type first, node_type second) const
| Find cached value wrt. given node. More...
navigator | find (navigator first, navigator second) const
| Find cached value wrt. given node (for navigator type) More...
void | insert (node_type first, node_type second, node_type result) const
| Store cached value wrt. given node. More...
void | insert (navigator first, navigator second, navigator result) const
| Store cached value wrt. given node (for navigator type) More...
Public Member Functions inherited from polybori::CCacheManagement< BoolePolyRing, CacheType, 2 >
| CCacheManagement (const manager_type &mgr)
| Constructor and default constructor. More...

## Member Typedef Documentation

template<class CacheType >

typedef CCommutativeCacheManagement<BoolePolyRing, CacheType> polybori::CommutativeCacheManager< CacheType >::base

Define base type.

template<class CacheType >

typedef base::manager_type polybori::CommutativeCacheManager< CacheType >::manager_type

## Constructor & Destructor Documentation

template<class CacheType >

polybori::CommutativeCacheManager< CacheType >::CommutativeCacheManager | ( | const manager_type & | mgr | ) |

inline

Constructor.

template<class CacheType >

polybori::CommutativeCacheManager< CacheType >::~CommutativeCacheManager | ( |  | ) |

inline

Destructor.

The documentation for this class was generated from the following file:

- CacheManager.h